#!/bin/sh
################################################################
# This script will create bogus datafiles for version 2
# it is useful for stress-testing QHacc
################################################################
typeset -i maxaccts=50 maxtrans=1000 
typeset PAIRED="NO" ACCTS=

ACCOUNTS=accounts
TRANS=transactions
PREFS=preferences
MEMZ=memorized

rm -rf $ACCOUNTS $TRANS $PREFS $MEMZ
touch $ACCOUNTS $TRANS $PREFS $MEMZ

if [ x"$1" != "x" ]; then
  maxaccts=$1
fi

if [ x"$2" != "x" ]; then
  maxtrans=$2
fi

if [ x"$3" == "xp" ]; then
  PAIRED="YES"
  echo "DOUBLEENTRY||Y" > $PREFS
fi

typeset -i acctid=0 transcount=1 splitgroup=1 tottrans=1

while [ $acctid -lt $maxaccts ] ; do	
  acctid=$acctid+1
  echo "$acctid||Account #$acctid||0||0||||||||||||||||||||||||||||||Y||Y||3||0" >> $ACCOUNTS

	typeset -i nt=$RANDOM transcount=0
	let nt=$nt%$maxtrans
  echo "making $nt transactions for account $acctid"

	while [ $transcount -lt $nt ] ; do
    typeset -i mon=$RANDOM
    let mon=$mon%11+1
    typeset -i day=$RANDOM
    let day=$day%29+1
    typeset -i year=$RANDOM
    let year=$year%29
    let year=$year+70
    typeset -i amt=$RANDOM cents=$RANDOM
    let amt=$amt%500
    let cents=$cents%100
    typeset -i recT=$RANDOM
    let recT=$recT%2
    typeset reco

    if [ $recT -eq 0 ]; then
      reco="0"
    else
      reco="2"
    fi
    if [ $mon -eq 2 -a $day -eq 29 ]; then
      day=28
    fi
    
    echo "$tottrans||||payee #$transcount||memo||$amt.$cents||$mon/$day/19$year||$reco||$acctid||$splitgroup" >> $TRANS

		if [ x"$PAIRED" = "xYES" ]; then
		  typeset -i acct2=$RANDOM

		  let tottrans=$tottrans+1
			let acct2=$acct2%$maxaccts
			let acct2=$acct2+1
		  echo "$tottrans||||payee #$transcount||memo||-$amt.$cents||$mon/$day/19$year||$reco||$acct2||$splitgroup" >> $TRANS
		fi

		let splitgroup=$splitgroup+1
		let transcount=$transcount+1
    let tottrans=$tottrans+1
	done
done

let tottrans=$tottrans-1
echo $tottrans" transactions in $maxcount accounts"
