#!/bin/sh
#####################################################################
## buildMySQL.sh                                                   ##
##   create a MySQL database structure for use with QHacc          ##
##                                                                 ##
##                                                                 ##
##                                                                 ##
##                                                                 ##
##                                                                 ##
#####################################################################

mysql $* -e "drop table accounttypes"
mysql $* -e "drop table accounts"
mysql $* -e "drop table transactions"
mysql $* -e "drop table memorized"
mysql $* -e "drop table preferences"
mysql $* -e "drop table ledgers"

mysql $* -e "create table accounttypes( id int primary key, name varchar(20), leftplus bool )"

mysql $* -e "create table accounts( id int primary key, name text, obal varchar(20), cbal float, rbal float, budget float, transnums varchar(100), defaultnum varchar(100), num varchar(100), instname varchar(100), instaddr1 varchar(100), instaddr2 varchar(100), instcity varchar(100), inststate varchar(100), instzip varchar(100), instphone varchar(100), instfax varchar(100), instemail varchar(100), instcontact varchar(100), instnotes text, category bool, taxed bool, type int, pid int )"

mysql $* -e "create table transactions( id int primary key, num varchar(20), payee varchar(50), memo text, sum varchar(20), date date, reco int, acctid int references accounts(id), splitgroup int, ledgerid int )"

mysql $* -e "create table memorized( id int, num varchar(20), payee varchar(50), memo text, sum varchar(20), date date, reco int, acctid int references accounts(id), splitgroup int, ledgerid int )"

mysql $* -e "create table preferences( pref varchar(30) primary key, value text )"

mysql $* -e "create table ledgers( id int primary key, name varchar(30), description text )"

mysql $* -e "create index tdidx on transactions(date)"
mysql $* -e "create index tpidx on transactions(payee)"
mysql $* -e "create index taidx on transactions(acctid)"
mysql $* -e "create index tsidx on transactions(splitgroup)"

mysql $* -e "create index miidx on memorized(id)"
mysql $* -e "create index msidx on memorized(splitgroup)"

echo
echo "If this was your first run, you should see six 'ERROR 1051' lines above"
echo
