#! /bin/sh
###################################################
## This script will convert qhacc accounts to     #
## take advantage of the new categorization in    #
## qhacc 0.8.2                                    #
###################################################

GREP=grep
CUT=cut
ACCTS=$($GREP "ACCTFILES=" config|cut -d'=' -f2-)

if [ $# -ne 1 ]; then
    echo "Syntax: $0 <allcats|nocats|ask>"
    exit 1
else
    OP=$1
fi


for f in ${ACCTS}; do
    typeset acctfile=${f}.info
    typeset acctname=$($GREP NAME $acctfile| $CUT -d'=' -f2)
    typeset doit=$OP

    if [ x"$OP" = "xask" ]; then
	echo -n "Make $acctname a category? <Y or N>"
	read ans
	case $ans in
	    Y* | y*)
		doit="allcats"
		;;
	    *)
		doit="nocats"
		;;
	esac
    fi

    if [ x"$doit" = "xallcats" ]; then
	echo "CATEGORY=Y" >> $acctfile
    elif [ x"$doit" = "xnocats" ]; then
	$GREP -v "CATEGORY=Y" $acctfile > $acctfile.1
	mv $acctfile.1 $acctfile
    fi
done
