/************************* * * * * * * * * * * * * ***************************
    Copyright (c) 1999-2003 Ryan Bobko
                       ryan@ostrich-emulators.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.     
************************** * * * * * * * * * * * * **************************/

#ifndef _QHACCACCTCHOOSER_H
#define _QHACCACCTCHOOSER_H

#include "qhaccscrollview.h"

class QHacc;
class QPopupMenu;

class QHaccAccountChooser : public QHaccScrollView {
  Q_OBJECT
    public:
  QHaccAccountChooser( QHacc *, QWidget * =0, const char * =0 );
  virtual ~QHaccAccountChooser();

 protected:
  void viewportMouseDoubleClickEvent( QMouseEvent * );

	void paintChosen( QPainter *, int, int, int, int );
	void drawRow( QPainter *, int y, int h, Account& row );
	void deleteRow( int );
	void doSetChosen( int );
	TableRow conv( const TableRow& ) const;
	TableRow uconv( const TableRow& ) const;

	void grabData( QHaccTable *& );

	void isave() const;
	void ireadPrefs( bool );
  
 private:
  bool hideCats;
	Account totrow;

	static const int FNAME, BAL, NBAL, ID, DEPTH, SNAME, COLS;
	static const char * COLNAMES[];
	static const ColType COLTYPES[];

	void makeIndexFor( int, QHaccTableIndex *& idx ) const;

	protected slots:
	void updData( const Account&, const Account& );

	void changeP( const QString&, bool );
	void toggleView();
	void viewSubset();
	void recoAcct();
	void editAcct();
	void newAcct();
	void remAcct();
	void report();
	void chart();

 signals:
  void changedAccount( const Account& );
	void needRecWinOf( const Account& );
	void needSubsetOf( const Account& );
	void needReportOf( const Account& );
	void needGraphOf( const Account& );
};

#endif


