/************************* * * * * * * * * * * * * ***************************
    Copyright (c) 1999-2003 Ryan Bobko
                       ryan@ostrich-emulators.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.     
************************** * * * * * * * * * * * * **************************/

#ifndef _QHACCLEDCHOOSER_H
#define _QHACCLEDCHOOSER_H

#include "qhacc.h"

#include <qtabbar.h>

class QHaccLedgerChooser : public QTabBar {
  Q_OBJECT
    public:
  QHaccLedgerChooser( QHacc *, QWidget * =0, const char * =0 );
  virtual ~QHaccLedgerChooser();

	void save() const;
	void readPrefs( bool );
	Ledger getSelected() const;

 private:
	QHacc * engine;
	int * ids; // a list of tab ids

	QTab * getLTab( const Ledger& ) const;

	protected slots:
		void changeLedger( int );
	void addL( const Ledger& );
	void remL( const Ledger& );
	void updL( const Ledger&, const Ledger& );

 signals:
  void changedLedger( const Ledger& );
};

#endif


