/************************** * * * * * * * * * * * * ***************************
    Copyright (c) 1999-2003 Ryan Bobko
                       ryan@ostrich-emulators.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.     
************************** * * * * * * * * * * * * ***************************/

#ifndef _QHACCREPORTWRITERS_H
#define _QHACCREPORTWRITERS_H

#include <qstring.h>
#include <qdatetime.h>

class QHacc;
class QHaccTable;

class QHaccReportWriter {
 public:
	static QString makereport( int type, QHacc *, uint ledgerid, 
														 QHaccTable * accounts, const QDate& start,
														 const QDate& end, QHaccTable *& );

	static QString writereport( const QString& title, QHaccTable * data );

	static QString report( int type, QHacc *, uint lid, QHaccTable * accounts,
												 const QDate& start, const QDate& end );

	static QString journal( int ledgerid, QHacc *, const QDate& start,
													const QDate& end );

	static const uint AVENTRANS, AVEADELTA, AVELTRANS, AVESTRANS, AVEATRANS,
		AVEDDELTA, AVENDEBITS, AVEADEBIT, AVENCREDITS, AVEACREDIT, AVESPAN;
};

#endif
