/************************** * * * * * * * * * * * * ***************************
    Copyright (c) 1999-2003 Ryan Bobko
                       ryan@ostrich-emulators.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.     
*************************** * * * * * * * * * * * * **************************/
 
#ifndef _QHACCSUBSETWIN_H
#define _QHACCSUBSETWIN_H

#include "qhacc.h"

#include <qwidget.h>

class QLabel;
class QHaccView;
class QHaccDateEdit;

class QHaccSubsetWin : public QWidget {
  Q_OBJECT
 public:
  QHaccSubsetWin( QHacc *, QWidget * =0, const char * =0 );
  ~QHaccSubsetWin();
	
	void readPrefs( bool );
	void save();
	
	//void setSelectors( TableSelect *, uint );
	void setAll( uint ledgerid, const Account&, const QDate& start, 
							 const QDate& end );
	void setAL( const Account&, const Ledger& );
	void setInfo();

 private:
	QHacc * engine;
	uint ledgerid;
  QHaccView * view;
  QHaccDateEdit * startdate, * enddate;
	Account account;
	QLabel ** info;
	uint infosize;

	static const int NTRANS, LTRANS, STRANS, ATRANS, ADELTA;

  protected slots:
  void changeDates();
	void removeA( const Account& );
	void changeP( const QString&, int );
	void changeP( const QString&, QString );
	void close();
};

#endif
