/************************** * * * * * * * * * * * * ***************************
    Copyright (c) 1999-2003 Ryan Bobko
                       ryan@ostrich-emulators.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.     
*************************** * * * * * * * * * * * * **************************/


#include "qhaccutils.h"

#include <qstringlist.h>

int Utils::QD=2;

bool Utils::debug( int lvl, std::ostream *& str ){
	str=&cout;
	return ( lvl<=QD );
}

bool Utils::error( int lvl, std::ostream *& str ){
	str=&cerr;
	return ( lvl<=QD );
}

void Utils::setDebug( int i ){ QD=i; }
int Utils::getDebug(){ return QD; }

void Utils::parser( const QString& str, const QString& sep, int start,
										QString * tokens, int numT ){
	// parse a string, starting at start, into numT tokens
	// the return array must be big enough to hold the
	// tokens already
	/*
	int finder=0;
	for( int j=0; j<numT; j++ ){
		finder=str.find( sep, start );
		tokens[j]=str.mid( start, finder-start );
		start=finder+sep.length();
	}
	*/

	int finder=0, idx=0;
	while( finder>-1 && idx<numT ){
		finder=str.find( sep, start );
		tokens[idx++]=str.mid( start, finder-start );
		start=finder+sep.length();		
	}

	// in case we are expecting more strings than we
	// actually have in str
	for( int i=idx; i<numT; i++ )	tokens[i]=QString();

}
